# class Entity

###

Module | nepomuk
Namespace | Nepomuk
Class | Entity
Inherits |

Deprecated in favor of Nepomuk.Types.Entity

### methods

- Entity (a0)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  a0 | Nepomuk.Entity |

- Entity ( )

  returns ctor

- comment (language)

  returns QString

  Argument | Type | Default
  --- | --- | ---
  language | QString | QString()

- definingOntology ( )

  returns Nepomuk.Ontology

  The ontology in which the resource is defined.

- label (language)

  returns QString

  Argument | Type | Default
  --- | --- | ---
  language | QString | QString()

- name ( )

  returns QString

  The name of the resource. The name equals the fragment of the URI.

- uri ( )

  returns QUrl

  The URI of the resource